<div class="modal fade" id="confirm" tabindex="-1"
     role="dialog"
     aria-labelledby="confirmAutoAssignLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content modal-dimensions">
      <div class="modal-header pb-0">
        <h5 class="modal-title">{{ 'steps.common.conferma.sei_sicuro_di_inviare'|trans }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ 'steps.common.conferma.no_more_editable'|trans|raw }}</p>
        {% if pratica.servizio.isPaymentRequired or pratica.hasStampsToPay %}
          <p>{{ 'conditions.has_payments_body'|trans|raw }}</p>
        {% endif %}


        {% if pratica.servizio.conditionsAttachments | default or pratica.servizio.conditions %}
          <h6 class="mt-3">{{ 'conditions.title'|trans }}</h6>

          {% if pratica.servizio.conditions | default and not pratica.servizio.conditions | isEmpty %}
            <div class="bg-light my-2 p-1 scrollable-box text-small">
              {{ pratica.servizio.conditions | raw }}
            </div>
          {% endif %}

          {% if pratica.servizio.conditionsAttachments | default %}
            {% if pratica.servizio.conditionsAttachments | length == 1 %}
              {% set attachment = pratica.servizio.conditionsAttachments | first %}
              <p class=" mb-3">
                <a
                  href="{{ path('service_api_attachment_get', {'id': pratica.servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}) }}"
                  class="underline"
                  data-focus-mouse="false"
                  download>
                  {{ 'conditions.attachment'|trans }}
                </a>
              </p>
            {% else %}
              {{ 'conditions.attachment'|trans }}:
              {% for attachment in pratica.servizio.conditionsAttachments %}
                <br>
                <a
                  href="{{ path('service_api_attachment_get', {'id': pratica.servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}) }}"
                  class="underline mt-1" data-focus-mouse="false" download>
                  {{ attachment.name }}
                </a>
              {% endfor %}
            {% endif %}
          {% endif %}

          <p>{{ 'conditions.body'|trans }}</p>
        {% endif %}

        {# Rimuovo per problema dei nested form vuoti #}
        {# % if pratica.servizio.profileBlocks %}
          <div class="row bg-aliceblue p-2 mt-4">
            <h6>{{ 'steps.common.conferma.once_only_title'|trans }}</h6>
            <p>{{ 'steps.common.conferma.once_only_text'|trans }}</p>
            {% for key, value in pratica.servizio.profileBlocks %}
              <div class="form-check form-check-inline">
                <input id="checkbox-{{ key }}" value="{{ key }}" type="checkbox" class="profile_blocks" >
                <label for="checkbox-{{ key }}">{{ value.label }}</label>
              </div>
            {% endfor %}
          </div>
        {% endif % #}

      </div>
      <div class="modal-footer">
        <button class="btn btn-primary w-100 mx-0 fw-bold mb-4" type="button" data-dismiss="modal" id="ok">
          {% if pratica.servizio.isPaymentRequired or pratica.hasStampsToPay %}
            {{ 'conditions.pay_and_submit' |trans }}
          {% else %}
            {{ 'conditions.confirm'|trans }}
          {% endif %}
        </button>
        <button class="btn btn-outline-primary w-100 mx-0 fw-bold mb-4" type="button" data-dismiss="modal">
          {{ 'conditions.cancel'|trans }}
        </button>
      </div>
    </div>
  </div>
</div>
